<template>
    <div  class="header__right">
        <a class="header__lang noMobile" href="">
            <img class="header__lang-img" src="/img/flag.svg" alt="">
            <p class="header__lang-text">RUS</p>
        </a>
        <div class="header__notific" :class="{'active':appStore.notificationActive}">
            <svg @click="appStore.notificationActive=!appStore.notificationActive" width="16" height="19" viewBox="0 0 16 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M10.1747 2.18141C10.2767 1.60477 10.068 1.00011 9.55801 0.555614C8.70022 -0.185205 7.30921 -0.185205 6.45605 0.555614C5.94602 0.996101 5.73736 1.60477 5.83937 2.17741C6.51169 1.94915 7.23966 1.82101 8.00471 1.82101C8.76977 1.82101 9.50237 1.94915 10.1747 2.18141Z" fill="#FF7823"></path>
                <path d="M15.7666 16.5414C13.9676 14.5351 13.0078 12.0804 13.0078 9.53362V6.91072C13.0078 4.52808 10.7543 2.58594 8.00012 2.58594C5.24128 2.58594 2.99248 4.51607 2.99248 6.91072V9.53362C2.99248 12.0644 2.01414 14.5391 0.233643 16.5414H15.7666Z" fill="#FF7823"></path>
                <path d="M14.7558 6.93867C14.51 6.93867 14.3199 6.77449 14.3199 6.56225C14.3199 5.0686 13.4992 3.66705 12.0526 2.718C11.8625 2.58185 11.8254 2.3576 11.9645 2.1734C12.1221 2.00922 12.4003 1.97718 12.5904 2.09732C14.2504 3.19853 15.2102 4.82433 15.2102 6.54223C15.1916 6.77449 14.9969 6.93867 14.7558 6.93867Z" fill="#FF7823"></path>
                <path d="M1.24444 6.93867C0.998699 6.93867 0.808594 6.77449 0.808594 6.56226C0.808594 4.82834 1.76839 3.21456 3.42833 2.11734C3.61844 1.98119 3.90128 2.02524 4.05892 2.19343C4.21657 2.36161 4.16557 2.60188 3.97083 2.73803C2.52417 3.68708 1.70348 5.08863 1.70348 6.58228C1.69884 6.77449 1.49019 6.93867 1.24444 6.93867Z" fill="#FF7823"></path>
                <path d="M5.31079 17.3101C5.67709 18.2911 6.74353 18.9999 8.00008 18.9999C9.25663 18.9999 10.3231 18.2911 10.6894 17.3101H5.31079Z" fill="#FF7823"></path>
            </svg>
            <p class="header__notific-num">{{ appStore.numberOfNotification }}</p>
            <div class="header__notific-content" :class="{'active':appStore.notificationActive}">
                <div class="header__notific-inner">
                    <div class="header__notific-top">
                        <p class="header__notific-text">Уведомления</p>
                        <a class="header__notific-all" href="#">
                            <span class="header__notific-text">Все уведомления</span>
                            <svg width="13" height="8" viewbox="0 0 13 8" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M12.3536 4.35355C12.5488 4.15829 12.5488 3.84171 12.3536 3.64645L9.17157 0.464466C8.97631 0.269204 8.65973 0.269204 8.46447 0.464466C8.2692 0.659728 8.2692 0.976311 8.46447 1.17157L11.2929 4L8.46447 6.82843C8.2692 7.02369 8.2692 7.34027 8.46447 7.53553C8.65973 7.7308 8.97631 7.7308 9.17157 7.53553L12.3536 4.35355ZM0 4.5H12V3.5H0V4.5Z" fill="#FF5C00"></path>
                            </svg>
                        </a>
                    </div>
                    <div class="header__notific-box"
                         v-for="notification in appStore.notifications"
                         :class="{'notCheck': !notification.is_check}"
                         @mouseleave="checkNotification(notification.id)">
                        <div class="header__notific-svgWrapper">
                            <img :src="'/img/notifications/' + notification.icon + '.svg'" alt="">
                        </div>
                        <p class="header__notific-box--text">{{notification.description}}</p>
                        <a class="header__notific-box--link" :href="notification.link">Перейти </a>
                    </div>
                </div>
            </div>
        </div>
        <Link class="header__profile" :href="route('dashboard.profile.edit')">
            <img class="header__profile-img" src="/img/profileIcon.svg" alt="">
        </Link>
        <div class="header__name">
            <p class="header__name-name">{{ str.str_limit($page.props.auth.user.nickname,20) }}</p>
            <p class="header__name-money">Баланс: 0 Руб.</p>
        </div>
    </div>
</template>

<script setup>
import { str } from '@/Modules/Str';
import {Link} from "@inertiajs/vue3";
//Логика уведомлений
import {onMounted, ref} from "vue";
import axios from "axios";
import {UseAppStore} from '@/Stores/AppStore';

let appStore = UseAppStore();

let isActiveNotification = ref(false);

// let changeActiveNotification = () => {
//     isActiveNotification.value = !isActiveNotification.value;
// }

let checkNotification = (id) => {
    axios.post(route('notifications.check'), {
        id: id
    }).then((res) => {
        updateNotifications();
        updateNumNotifications();
    })
}

let updateNotifications = () => {
    axios.get(route('notifications.lasts'))
        .then((res) => {
            appStore.changeHeaderNotifications(res.data);
        })
}

let updateNumNotifications = () => {
    axios.get(route('notifications.count'))
        .then((res) => {
            appStore.changeNumberNotifications(res.data);
        });
}

onMounted(async () => {
    window.addEventListener('scroll', () => {
        headerScroll();
    })

    updateNumNotifications();

    updateNotifications();
})


let lastScrollTop = ref(0);
let isHeaderActive = ref(false);

let headerScroll = () => {
    let st = window.scrollY;

    if(st > lastScrollTop.value){
        isHeaderActive.value = true;
    } else {
        isHeaderActive.value = false;
    }

    if(st == 0){
        isHeaderActive.value = false;
    }

    lastScrollTop.value = st;
};

</script>


